Reps
Update rep
PATCH
/
reps
/
{id}
/
Update rep
curl --request PATCH \
--url https://api.velocity.shop/reps/{id}/ \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"email": "jsmith@example.com",
"identifier": "<string>",
"notifications": [
{
"event": "NEW_ORDER",
"channel": "EMAIL"
}
]
}
'import requests
url = "https://api.velocity.shop/reps/{id}/"
payload = {
"name": "<string>",
"email": "jsmith@example.com",
"identifier": "<string>",
"notifications": [
{
"event": "NEW_ORDER",
"channel": "EMAIL"
}
]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
email: 'jsmith@example.com',
identifier: '<string>',
notifications: [{event: 'NEW_ORDER', channel: 'EMAIL'}]
})
};
fetch('https://api.velocity.shop/reps/{id}/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"email": "jsmith@example.com",
"is_disabled": true,
"workos_user_id": "<string>",
"customer_id": 123,
"permissions": [
{
"name": "<string>",
"group": "Addresses",
"slug": "authentication.repuser.view_all_entities"
}
],
"alignments": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>"
}
],
"has_commission_overrides": true,
"identifier": "<string>",
"notifications": [
{
"event": "NEW_ORDER",
"channel": "EMAIL"
}
]
}{
"detail": "<string>"
}{
"detail": "<string>"
}{
"detail": "<string>"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Body
application/json
Response
An empty string clears the email.
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
⌘I
Update rep

